#https://github.com/arsaboo/homeassistant-config/blob/master/scripts.yaml
  sonos_announce:
    alias: "Sonos announce script"
    sequence:
      # - service: scene.create
      #   data:
      #     scene_id: before
      #     snapshot_entities:
      #       - light.hue_lightstrip_plus_1
      #       - light.hue_lightstrip_plus_1_2            
      # - service: light.turn_on
      #   data:
      #     entity_id: light.hue_lightstrip_plus_1
      #     brightness: 255
      #     rgb_color: [255, 0, 0]
      #     flash: long
      # - service: light.turn_on
      #   data:
      #     entity_id: light.hue_lightstrip_plus_1_2
      #     brightness: 255
      #     rgb_color: [255, 0, 0]
      #     flash: long
      # - delay: 2
      # - service: scene.turn_on
      #   entity_id: scene.before
      - service: sonos.snapshot
        data:
          entity_id:
            - media_player.andreas
            - media_player.daniel
          with_group: yes
      - service: sonos.unjoin
        data:
          entity_id: media_player.andreas
      - service: sonos.unjoin
        data:
          entity_id: media_player.daniel
      - service: sonos.join
        data:
          master: media_player.daniel
          entity_id: media_player.andreas
      - service: media_player.volume_set
        data:
          entity_id: media_player.daniel
          volume_level: 0.4
      - service: media_player.volume_set
        data:
          entity_id: media_player.andreas
          volume_level: 0.4
      - service: tts.google_translate_say
        data_template:
          entity_id: media_player.daniel
          message: "Vi skal spise nu"
      - delay: '00:00:10'
      - service: sonos.restore
        data:
          entity_id:
            - media_player.andreas
            - media_player.daniel
      

